<table>	
	<table search="unit">
	
		<filter name="'check_not_halloween_ragdoll'">
			<check value="vars.var_ragdoll_enabled == 0"/>
			<check value="vars.var_halloween_2017 == 0"/>			
		</filter>
		
		<sequence editable_state="true" name="'dismember_head_no_blood'" triggable="true">
			<object enabled="true" name="'g_neck_meat'"/>
			<set_variables var_head="1"/>
			<run_sequence name="'toggle_body_parts'" />
			<run_sequence filter="'check_ragdoll_enabled'" name="'switch_to_ragdoll'" start_time="2/30"/>
			<run_sequence name="'toggle_hit_box'" start_time="2/30"/>
			<graphic_group enabled="false" name="'head_pumpkin_grp'"/>
			<object enabled="false" name="'g_pumpkin_head'"/>
			<object enabled="false" name="'g_pumpkin_head_lod1'"/>
			<object enabled="false" name="'g_pumpkin_head_lod2'"/>
		</sequence>
		
		<sequence editable_state="true" name="'switch_to_ragdoll'" triggable="true">
			<set_variables var_ragdoll_enabled="1"/>
			<graphic_group name="'hat_grp'" visibility="false"/>			
			<body enabled="false" name="'hit_helmet'"/>
			<body enabled="true" name="'rag_Spine'"/>
			<body enabled="true" name="'rag_Spine1'"/>
			<body enabled="true" name="'rag_Spine2'"/>
			<body enabled="true" name="'rag_Hips'"/>
			<body enabled="true" filter="'check_intact_l_upper_leg'" name="'rag_LeftUpLeg'"/>
			<body enabled="true" filter="'check_intact_r_upper_leg'" name="'rag_RightUpLeg'"/>
			<body enabled="true" filter="'check_intact_l_lower_leg'" name="'rag_LeftLeg'"/>
			<body enabled="true" filter="'check_intact_r_lower_leg'" name="'rag_RightLeg'"/>
			<body enabled="true" filter="'check_intact_l_lower_arm'" name="'rag_LeftForeArm'"/>
			<body enabled="true" filter="'check_intact_r_lower_arm'" name="'rag_RightForeArm'"/>
			<body enabled="true" filter="'check_intact_l_upper_arm'" name="'rag_LeftArm'"/>
			<body enabled="true" filter="'check_intact_r_upper_arm'" name="'rag_RightArm'"/>
			<body enabled="true" filter="'check_intact_head'" name="'rag_Head'"/>
			<body enabled="false" filter="'check_hidden_l_upper_leg'" name="'rag_LeftUpLeg'"/>
			<body enabled="false" filter="'check_hidden_r_upper_leg'" name="'rag_RightUpLeg'"/>
			<body enabled="false" filter="'check_hidden_l_lower_leg'" name="'rag_LeftLeg'"/>
			<body enabled="false" filter="'check_hidden_r_lower_leg'" name="'rag_RightLeg'"/>
			<body enabled="false" filter="'check_hidden_l_lower_arm'" name="'rag_LeftForeArm'"/>
			<body enabled="false" filter="'check_hidden_r_lower_arm'" name="'rag_RightForeArm'"/>
			<body enabled="false" filter="'check_hidden_l_upper_arm'" name="'rag_LeftArm'"/>
			<body enabled="false" filter="'check_hidden_r_upper_arm'" name="'rag_RightArm'"/>
			<body enabled="false" filter="'check_hidden_head'" name="'rag_Head'"/>
			<constraint enabled="true" name="'Spine'"/>
			<constraint enabled="true" name="'Spine1'"/>
			<constraint enabled="true" name="'Spine2'"/>
			<constraint enabled="true" filter="'check_intact_l_upper_leg'" name="'LeftUpLeg'"/>
			<constraint enabled="true" filter="'check_intact_r_upper_leg'" name="'RightUpLeg'"/>
			<constraint enabled="true" filter="'check_intact_l_lower_leg'" name="'LeftLeg'"/>
			<constraint enabled="true" filter="'check_intact_r_lower_leg'" name="'RightLeg'"/>
			<constraint enabled="true" filter="'check_intact_l_lower_arm'" name="'LeftForeArm'"/>
			<constraint enabled="true" filter="'check_intact_r_lower_arm'" name="'RightForeArm'"/>
			<constraint enabled="true" filter="'check_intact_l_upper_arm'" name="'LeftArm'"/>
			<constraint enabled="true" filter="'check_intact_r_upper_arm'" name="'RightArm'"/>
			<constraint enabled="true" filter="'check_intact_head'" name="'Head'"/>
			<constraint enabled="false" filter="'check_hidden_l_upper_leg'" name="'LeftUpLeg'"/>
			<constraint enabled="false" filter="'check_hidden_r_upper_leg'" name="'RightUpLeg'"/>
			<constraint enabled="false" filter="'check_hidden_l_lower_leg'" name="'LeftLeg'"/>
			<constraint enabled="false" filter="'check_hidden_r_lower_leg'" name="'RightLeg'"/>
			<constraint enabled="false" filter="'check_hidden_l_lower_arm'" name="'LeftForeArm'"/>
			<constraint enabled="false" filter="'check_hidden_r_lower_arm'" name="'RightForeArm'"/>
			<constraint enabled="false" filter="'check_hidden_l_upper_arm'" name="'LeftArm'"/>
			<constraint enabled="false" filter="'check_hidden_r_upper_arm'" name="'RightArm'"/>
			<constraint enabled="false" filter="'check_hidden_head'" name="'Head'"/>
		</sequence>
		
	</table>
	
	<table search="unit/body;name=[['hit_Head']]/endurance/run_sequence;filter=[['check_not_halloween_2017']]" mode="set_values">
		<table filter="'check_not_halloween_ragdoll'" />	
	</table>

</table>